var sidebar_toc = {
  n: [
    { u: "preface.html", t: "About This Manual" },
    { u: "index.html", t: "Introduction", n: [
      { u: "introduction.about.html", t: "About P4V, the Perforce Visual Client", n: [
        { u: "introduction.about.html#introduction.about.basic", t: "Basic concepts" },
      ] },
      { u: "introduction.getting_started.html", t: "Getting Started with P4V" },
      { u: "introduction.getting_more_information.html", t: "Getting more information" },
      { u: "introduction.check_for_updates.html", t: "Checking for updates" },
    ] },
    { u: "chapter.using.html", t: "Using P4V", n: [
      { u: "using.connecting.html", t: "Connecting to the Perforce service", n: [
        { u: "using.connecting.html#using.connecting.favorites", t: "Favorite connections" },
        { u: "using.connecting.html#using.connecting.unicode", t: "Connecting to unicode-mode Perforce services" },
      ] },
      { u: "using.workspaces.html", t: "Creating and managing workspaces", n: [
        { u: "using.workspaces.html#using.workspaces.create", t: "Create a workspace" },
        { u: "using.workspaces.html#using.workspaces.changing", t: "Change your workspace" },
        { u: "using.workspaces.html#using.workspaces.display", t: "View workspaces" },
        { u: "using.workspaces.html#using.workspaces.search", t: "Search for workspaces" },
        { u: "using.workspaces.html#using.workspaces.delete", t: "Delete and unload workspaces" },
        { u: "using.workspaces.html#using.workspaces.view", t: "Defining a Workspace View", n: [
          { u: "using.workspaces.html#using.workspaces.view.syntactic", t: "Syntactic view specification" },
          { u: "using.workspaces.html#using.workspaces.view.graphical", t: "Graphical view specification" },
        ] },
      ] },
      { u: "using.navigating.html", t: "Navigating P4V", n: [
        { u: "using.navigating.html#using.navigating.terms", t: "Terminology" },
        { u: "using.navigating.html#using.navigating.layout", t: "Layout" },
        { u: "using.navigating.html#using.navigating.status", t: "Update status information" },
        { u: "using.navigating.html#using.navigating.modify", t: "Modify views" },
        { u: "using.navigating.html#using.navigating.p4admin", t: "Open P4Admin, the Administration Tool" },
      ] },
      { u: "using.icons.html", t: "About P4V icons" },
      { u: "using.bookmarks.html", t: "Bookmarking files", n: [
        { u: "using.bookmarks.html#using.bookmarks.file", t: "Bookmark a file or folder" },
        { u: "using.bookmarks.html#using.bookmarks.manage", t: "Manage bookmarks" },
      ] },
      { u: "using.shortcuts.html", t: "Using P4V shortcuts", n: [
        { u: "using.shortcuts.html#using.shortcuts.drag", t: "Drag and drop" },
        { u: "using.shortcuts.html#using.shortcuts.keys", t: "Shortcut keys" },
      ] },
      { u: "using.filters.html", t: "Searching and filtering", n: [
        { u: "using.filters.html#using.filters.find_depot", t: "Find files in a depot or workspace" },
        { u: "using.filters.html#using.filters.find_active", t: "Find a file, folder, or specification in the active tab" },
        { u: "using.filters.html#using.filters.find_specs", t: "Find specifications using filters" },
        { u: "using.filters.html#using.filters.save", t: "Save and reuse filters" },
        { u: "using.filters.html#using.filters.paths", t: "Filter with file paths" },
      ] },
      { u: "using.offline.html", t: "Working Without a Perforce Service Connection" },
    ] },
    { u: "chapter.configuring.html", t: "Configuring P4V", n: [
      { u: "configuring.preferences.html", t: "Configuring P4V Preferences", n: [
        { u: "configuring.preferences.html#configuring.preferences.connections", t: "Connections" },
        { u: "configuring.preferences.html#configuring.preferences.streams", t: "Streams" },
        { u: "configuring.preferences.html#configuring.preferences.server", t: "Server Data" },
        { u: "configuring.preferences.html#configuring.preferences.behavior", t: "Behavior" },
        { u: "configuring.preferences.html#configuring.preferences.merge-integrate", t: "Merge-Integrate" },
        { u: "configuring.preferences.html#configuring.preferences.integrate_flags", t: "Integrate Flags" },
        { u: "configuring.preferences.html#configuring.preferences.copy", t: "Copy" },
        { u: "configuring.preferences.html#configuring.preferences.branch", t: "Branch" },
        { u: "configuring.preferences.html#configuring.preferences.doubleclick", t: "Double-click" },
        { u: "configuring.preferences.html#configuring.preferences.shortcuts", t: "Shortcuts" },
        { u: "configuring.preferences.html#configuring.preferences.logging", t: "Logging" },
        { u: "configuring.preferences.html#configuring.preferences.display", t: "Display" },
        { u: "configuring.preferences.html#configuring.preferences.files", t: "Files and History" },
        { u: "configuring.preferences.html#configuring.preferences.features", t: "Features" },
        { u: "configuring.preferences.html#configuring.preferences.tools", t: "Tools" },
        { u: "configuring.preferences.html#configuring.preferences.image_timelapse", t: "Image Timelapse" },
        { u: "configuring.preferences.html#configuring.preferences.editors", t: "File Editors" },
        { u: "configuring.preferences.html#configuring.preferences.diff", t: "Diff" },
        { u: "configuring.preferences.html#configuring.preferences.merge", t: "Merge" },
        { u: "configuring.preferences.html#configuring.preferences.applets", t: "Applets" },
      ] },
      { u: "configuring.user.html", t: "Editing User Preferences" },
    ] },
    { u: "chapter.files.html", t: "Managing Files", n: [
      { u: "files.add.html", t: "Adding Files to the Depot" },
      { u: "files.retrieve.html", t: "Retrieving Files from the Depot" },
      { u: "files.edit.html", t: "Editing Files" },
      { u: "files.submit.html", t: "Checking in files", n: [
        { u: "files.submit.html#d0e5146", t: "View changelists" },
        { u: "files.submit.html#d0e5201", t: "Submit changelists" },
        { u: "files.submit.html#d0e5280", t: "Reverse a changelist submission" },
        { u: "files.submit.html#d0e5364", t: "Restrict access to a changelist" },
        { u: "files.submit.html#d0e5390", t: "Configure changelist display" },
      ] },
      { u: "files.history.html", t: "Displaying the Revision History of a File or Folder", n: [
        { u: "files.history.html#files.history.files", t: "Files" },
        { u: "files.history.html#files.history.folders", t: "Folders" },
      ] },
      { u: "files.type.html", t: "Changing a File's Type" },
      { u: "files.rename.html", t: "Renaming and Moving Files or Folders" },
      { u: "files.delete.html", t: "Deleting Files" },
      { u: "files.diff.html", t: "Diffing Files and Folders", n: [
        { u: "files.diff.html#files.diff.options", t: "Diff dialog options" },
        { u: "files.diff.html#files.diff.consistency", t: "Check workspace consistency" },
        { u: "files.diff.html#files.diff.state", t: "View the state of the depot at a specified point in time" },
      ] },
      { u: "files.shelve.html", t: "Shelving Files", n: [
        { u: "files.shelve.html#files.shelve.pending", t: "Shelve checked-out files in a pending changelist" },
        { u: "files.shelve.html#files.shelve.unshelve", t: "Unshelve files" },
        { u: "files.shelve.html#files.shelve.submit", t: "Submit shelved files" },
        { u: "files.shelve.html#files.shelve.delete", t: "Delete shelved files" },
      ] },
    ] },
    { u: "chapter.advanced_files.html", t: "More File Management Tools", n: [
      { u: "advanced_files.revgraph.html", t: "Viewing Codeline History in the Revision Graph", n: [
        { u: "advanced_files.revgraph.html#d0e6075", t: "Read the Revision Graph" },
        { u: "advanced_files.revgraph.html#d0e6103", t: "Navigate the Revision Graph" },
        { u: "advanced_files.revgraph.html#d0e6153", t: "Filter the Revision Graph" },
        { u: "advanced_files.revgraph.html#d0e6206", t: "Display details" },
      ] },
      { u: "advanced_files.timelapse.html", t: "Viewing File History with Time-lapse View", n: [
        { u: "advanced_files.timelapse.html#d0e6242", t: "Toolbar" },
        { u: "advanced_files.timelapse.html#d0e6480", t: "Slider" },
      ] },
      { u: "advanced_files.timelapse_image.html", t: "Viewing Image File History with Time-lapse View" },
      { u: "advanced_files.folder_diff.html", t: "Using the Folder Diff Utility" },
      { u: "advanced_files.text_diff.html", t: "Diffing Text Files", n: [
        { u: "advanced_files.text_diff.html#d0e6932", t: "Navigate Diffs" },
        { u: "advanced_files.text_diff.html#d0e6978", t: "Set Preferences" },
      ] },
      { u: "advanced_files.image_diff.html", t: "Diffing Images" },
      { u: "advanced_files.docx_diff.html", t: "Diffing Microsoft Word Files" },
      { u: "advanced_files.p4merge.html", t: "Merging Files", n: [
        { u: "advanced_files.p4merge.html#d0e7143", t: "Navigate Diffs" },
        { u: "advanced_files.p4merge.html#d0e7180", t: "Merge Text", n: [
          { u: "advanced_files.p4merge.html#d0e7185", t: "Choose Text Chunks" },
          { u: "advanced_files.p4merge.html#d0e7313", t: "Edit Text" },
        ] },
        { u: "advanced_files.p4merge.html#d0e7324", t: "Set Preferences" },
      ] },
    ] },
    { u: "chapter.branches.html", t: "Managing Codelines", n: [
      { u: "branches.create.html", t: "Creating Branches" },
      { u: "branches.merging.html", t: "Merging Files Between Codelines", n: [
        { u: "branches.merging.html#d0e7568", t: "Open files for merge" },
      ] },
      { u: "branches.resolve.html", t: "Resolving Files", n: [
        { u: "branches.resolve.html#individual", t: "Resolve individual files" },
        { u: "branches.resolve.html#multiple", t: "Resolve multiple files" },
      ] },
      { u: "branches.mapping.html", t: "Managing Branch Mapping", n: [
        { u: "branches.mapping.html#branches.mapping.work", t: "Work with branch mapping" },
      ] },
      { u: "branches.labels.html", t: "Managing Labels", n: [
        { u: "branches.labels.html#d0e8167", t: "Create labels" },
        { u: "branches.labels.html#d0e8220", t: "Label files" },
        { u: "branches.labels.html#d0e8300", t: "Display and search for labels" },
        { u: "branches.labels.html#d0e8343", t: "Edit labels" },
        { u: "branches.labels.html#d0e8381", t: "Delete and unload labels" },
        { u: "branches.labels.html#d0e8479", t: "Retrieve file revisions in a label" },
      ] },
      { u: "codelines.jobs.html", t: "Managing jobs", n: [
        { u: "codelines.jobs.html#d0e8546", t: "Create a job" },
        { u: "codelines.jobs.html#d0e8583", t: "Add a job to a pending changelist" },
        { u: "codelines.jobs.html#d0e8607", t: "View jobs" },
        { u: "codelines.jobs.html#d0e8640", t: "Search for jobs", n: [
          { u: "codelines.jobs.html#filter", t: "Search for jobs using Perforce filter expressions" },
          { u: "codelines.jobs.html#filepath", t: "Search for jobs using file paths" },
          { u: "codelines.jobs.html#d0e8915", t: "Search for jobs using the Job Query Builder" },
        ] },
      ] },
    ] },
    { u: "chapter.advanced_options.html", t: "Advanced P4V Options", n: [
      { u: "advanced_options.custom.html", t: "Configuring Custom Tools", n: [
        { u: "advanced_options.custom.html#d0e9085", t: "Environment considerations" },
        { u: "advanced_options.custom.html#d0e9153", t: "Add custom tools" },
        { u: "advanced_options.custom.html#d0e9505", t: "Import and export tools" },
      ] },
      { u: "advanced_options.p4vc.html", t: "Launching P4V Components from the Command Line" },
    ] },
    { u: "chapter.streams.html", t: "Working with Streams", n: [
      { u: "streams.about.html", t: "About Streams", n: [
        { u: "streams.about.html#streams.about.mainline", t: "The mainline model", n: [
          { u: "streams.about.html#d0e9644", t: "Stream types" },
          { u: "streams.about.html#d0e9714", t: "Stream hierarchy in the Stream Graph" },
        ] },
        { u: "streams.about.html#streams.about.views", t: "Stream views" },
        { u: "streams.about.html#streams.about.change", t: "Propagating change between streams" },
        { u: "streams.about.html#streams.about.depots", t: "Stream depots" },
        { u: "streams.about.html#streams.about.terms", t: "Terminology differences between command line client and P4V" },
      ] },
      { u: "streams.views.html", t: "About Stream Views", n: [
        { u: "streams.views.html#streams.views.types", t: "Stream path types" },
        { u: "streams.views.html#streams.views.syntax", t: "Stream path syntax" },
        { u: "streams.views.html#streams.views.inheritance", t: "Inheritance between parents and children" },
        { u: "streams.views.html#streams.views.examples", t: "Examples", n: [
          { u: "streams.views.html#d0e10050", t: "Simple share" },
          { u: "streams.views.html#d0e10092", t: "Share and import" },
          { u: "streams.views.html#d0e10131", t: "Share, isolate, exclude, and import" },
          { u: "streams.views.html#d0e10162", t: "Child that shares all of the above parent" },
        ] },
        { u: "streams.views.html#streams.views.remap", t: "Remap files" },
        { u: "streams.views.html#d0e10205", t: "Ignore files" },
      ] },
      { u: "streams.setup.html", t: "Setting up Streams" },
      { u: "streams.create.html", t: "Creating New Streams" },
      { u: "streams.workspace.html", t: "Creating Stream Workspaces" },
      { u: "streams.select.html", t: "Selecting Streams" },
      { u: "streams.graph.html", t: "Using the Stream Graph", n: [
        { u: "streams.graph.html#streams.graph.display", t: "Display streams" },
        { u: "streams.graph.html#streams.graph.conventions", t: "Stream graph display conventions" },
        { u: "streams.graph.html#streams.graph.configure", t: "Configure the stream graph display" },
        { u: "streams.graph.html#streams.graph.status", t: "Display stream status" },
        { u: "streams.graph.html#streams.graph.work", t: "Work in a stream" },
      ] },
      { u: "streams.branching.html", t: "Branching with Streams" },
      { u: "streams.merge_copy.html", t: "Merging Down and Copying Up Between Streams", n: [
        { u: "streams.merge_copy.html#streams.merge_copy.merge", t: "Merge down" },
        { u: "streams.merge_copy.html#streams.merge_copy.copy", t: "Copy up" },
        { u: "streams.merge_copy.html#streams.merge_copy.propagate", t: "Propagate change between unrelated streams" },
      ] },
      { u: "streams.task.html", t: "Working with Task Streams", n: [
        { u: "streams.task.html#streams.task.overview", t: "Overview" },
        { u: "streams.task.html#streams.task.create_same", t: "Create a task stream from a parent stream in the same depot" },
        { u: "streams.task.html#streams.task.create_diff", t: "Create a task stream in a different depot" },
        { u: "streams.task.html#streams.task.create_noparent", t: "Create a task stream without a parent" },
        { u: "streams.task.html#streams.task.convert", t: "Convert a task stream to a regular stream" },
        { u: "streams.task.html#streams.task.delete", t: "Delete and unload task streams" },
        { u: "streams.task.html#streams.task.filter", t: "Filter task stream files out of File History results" },
      ] },
      { u: "streams.virtual.html", t: "Working with Virtual Streams", n: [
        { u: "streams.virtual.html#streams.virtual.view", t: "View virtual streams" },
        { u: "streams.virtual.html#streams.virtual.behavior", t: "Stream path behavior in virtual streams" },
        { u: "streams.virtual.html#streams.virtual.create", t: "Create a virtual stream" },
        { u: "streams.virtual.html#streams.virtual.submit", t: "Submit changes to a virtual stream" },
        { u: "streams.virtual.html#streams.virtual.merge_copy", t: "Merge and copy to a virtual stream" },
      ] },
    ] },
    { u: "chapter.swarm.html", t: "Integration with Swarm", n: [
      { u: "swarm.intro.html", t: "Introduction", n: [
        { u: "swarm.intro.html#swarm.intro.swarm", t: "Swarm" },
        { u: "swarm.intro.html#swarm.intro.workflow", t: "Workflow of a review" },
        { u: "swarm.intro.html#swarm.intro.setup", t: "Setting up the Swarm integration" },
        { u: "swarm.intro.html#swarm.intro.authentication", t: "Authentication with Swarm" },
      ] },
      { u: "swarm.features.html", t: "Swarm Integration Features", n: [
        { u: "swarm.features.html#swarm.features.request", t: "Request a review", n: [
          { u: "swarm.features.html#swarm.features.request.pending", t: "Request a review from a pending changelist" },
          { u: "swarm.features.html#swarm.features.request.submitted", t: "Request a review from a submitted changelist" },
        ] },
        { u: "swarm.features.html#swarm.features.update", t: "Update a review", n: [
          { u: "swarm.features.html#swarm.features.update.pending", t: "Update a Swarm review from a pending changelist", n: [
            { u: "swarm.features.html#swarm.features.update.pending.associated", t: "Option 1: From associated pending changelist" },
            { u: "swarm.features.html#swarm.features.update.pending.unassociated", t: "Option 2: From a pending changelist not associated to the review" },
          ] },
          { u: "swarm.features.html#swarm.features.update.submitted", t: "Update a Swarm review from a submitted changelist" },
        ] },
        { u: "swarm.features.html#swarm.features.open", t: "Open review in Swarm", n: [
          { u: "swarm.features.html#swarm.features.open.files", t: "Getting Files from a Review" },
        ] },
        { u: "swarm.features.html#swarm.features.columns", t: "Review Id and Review State columns" },
      ] },
    ] },
    { u: "license.statements.html", t: "License Statements" },
  ]
}